Contacts
List contact import jobs
Returns background contact-import jobs started with contacts.import, most recent first. Use contacts.getImport for one job’s full detail. Returns { data, pageCount }; page with page/perPage.
GET
/
v1
/
contacts
/
imports
List contact import jobs
curl --request GET \
--url https://app.chatbotx.io/api/v1/contacts/imports \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/contacts/imports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/contacts/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"userId": "<string>",
"fileId": "<string>",
"fileName": "<string>",
"type": "contacts",
"status": "pending",
"totalCount": 123,
"processedCount": 123,
"successCount": 123,
"failedCount": 123,
"errorMessage": "<string>",
"errorSample": [
{
"row": 123,
"reason": "<string>"
}
],
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pageCount": 0
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, starting at 1.
Required range:
1 <= x <= 9007199254740991Number of items per page, up to 50.
Required range:
1 <= x <= 50Filter to import jobs in this status.
Available options:
pending, processing, completed, failed Case-insensitive substring match against the import's file name.
Was this page helpful?
⌘I
List contact import jobs
